> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get results for an MDM command

> Return the execution results for a specific MDM command on a device.

<span className="badge-read">Key: Read</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json get /devices/{deviceId}/commands/{commandUuid}/results
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /devices/{deviceId}/commands/{commandUuid}/results:
    get:
      tags:
        - Devices
      summary: Get results for an MDM command
      description: Return the execution results for a specific MDM command on a device.
      operationId: getDeviceCommandResults
      parameters:
        - name: deviceId
          required: true
          in: path
          schema:
            type: string
        - name: commandUuid
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetDeviceCommandResults_Output'
components:
  schemas:
    GetDeviceCommandResults_Output:
      type: object
      properties:
        results:
          type: array
          items:
            type: object
            properties:
              commandUuid:
                type: string
              status:
                type: string
              updatedAt:
                type: string
              requestType:
                type: string
              hostname:
                anyOf:
                  - type: string
                  - type: 'null'
              payload:
                anyOf:
                  - type: string
                  - type: 'null'
              result:
                anyOf:
                  - type: string
                  - type: 'null'
              resultsMetadata:
                anyOf:
                  - type: object
                    propertyNames:
                      type: string
                    additionalProperties: {}
                  - type: 'null'
            required:
              - commandUuid
              - status
              - updatedAt
              - requestType
              - hostname
              - payload
              - result
              - resultsMetadata
            additionalProperties: false
      required:
        - results
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````